%% msgbox_scroll
%    create a message box with a scrollable text area
% inputs:
%   msg:string - string to put into the message box
% outputs:
%   none
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
function [] = msgbox_scroll(msg)
fig = figure('units','pixels',...
    'position',[0 0 700 500],...
    'menubar','none',...
    'name','PVS Report',...
    'numbertitle','off');

uicontrol('style','edit',...
    'units','pix',...
    'Parent',fig,...
    'HorizontalAlign','center',...
    'FontWeight','bold',...
    'FontSize',12,...
    'Max',2.0,...
    'HorizontalAlign','left',...
    'String',msg,...
    'Position',[1 1 698 498],...
    'BackgroundColor',[1 1 1]);

end